// Copyright Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Modules/ModuleManager.h"
#include "ToolMenuEntry.h"

class FCsdkEditorModule : public IModuleInterface
{
public:
	
	/** IModuleInterface implementation */
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;
private:
	void RegisterCsdkMenu() const;
	void RegisterPullDown() const;
	FToolMenuEntry GetAboutWindowEntry() const;
	void ExcuteAboutWindow() const;
};
